Summary: OpenOfficePortable integration
%define name smeserver-openoffice-portable
Name: %{name}
%define version 2.3.1
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Office
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.1.2
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Thu Feb 28 2008 Michael Weinberger <mweinber@neddix.de> 2.3.1-7
  Spec file fix

* Thu Feb 14 2008 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Integrates the OpenOfficePortable application into the SME environment
Visit: http://wiki.contribs.org/OpenOffice_for_Windows

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT  \
--dir /opt/openoffice 'attr(755,admin,admin)' \
--dir /opt/openoffice/OpenOfficePortable 'attr(755,admin,admin)' \
--file /opt/openoffice/download.url 'attr(644,admin,admin)' \
 >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
